div.input_wrap{
    position: relative;
    margin: 8px 0 5px 0;
}
    div.input_wrap select:not(select.def_sel){
        display: none;
    }
    div.input_wrap > select{
        padding: 12px 0 5px 5px;
    }
    div.input_wrap > input[type="text"],
    div.input_wrap > input[type="email"],
    div.input_wrap > input[type="password"],
    div.input_wrap > input[type="number"],
    div.input_wrap > textarea{
        padding-top: 14px;
    }
    div.input_wrap > input[type="date"],
    div.input_wrap > input[type="datetime-local"]{
        padding-top: 12px;
    }
    div.input_wrap > input[type="color"]{
        padding-top: 6px;
    }
    div.input_wrap > textarea,
    div.input_wrap > input[type="text"],
    div.input_wrap > input[type="email"],
    div.input_wrap > input[type="password"],
    div.input_wrap > input[type="color"],
    div.input_wrap > input[type="number"]{
        padding-right: 45px;
    }
    
    div.input_wrap > select,
    div.input_wrap > input{
        z-index: 100;
    }
    div.input_wrap > textarea::-webkit-input-placeholder,
    div.input_wrap > input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
        opacity: 0;
    }
    div.input_wrap > textarea::-moz-placeholder,
    div.input_wrap > input::-moz-placeholder { /* Firefox 19+ */
        opacity: 0;
    }
    div.input_wrap > textarea:-ms-input-placeholder,
    div.input_wrap > input:-ms-input-placeholder { /* IE 10+ */
        opacity: 0;
    }
    div.input_wrap > textarea:-moz-placeholder,
    div.input_wrap > input:-moz-placeholder { /* Firefox 18- */
        opacity: 0;
    }
    
    div.input_wrap > span.del{
        position: absolute;
        top: 11px;
        right: 9px;
        width: 24px;
        height: 24px;
        display: inline-block;
        background-image: url("img/del.jpg");
        background-position: center center;
        background-size: 24px 24px;
        opacity: 0.6;
        transition: 0.2s all ease-in-out;
        z-index: 100;
        cursor: pointer;
        pointer-events: auto;
    }
    div.input_wrap > span.del:hover,
    div.input_wrap > span.del:focus{
        opacity: 1;
    }
    div.input_wrap > input[type="date"] ~ span.del,
    div.input_wrap > input[type="datetime-local"] ~ span.del{
        right: 40px;
        top: 11px;
    }
    div.input_wrap > span.plh{
        position: absolute;
        font-size: 14px;
        transition: 0.2s ease all;
        -moz-transition: 0.2s ease all;
        -webkit-transition: 0.2s ease all;
        left: 2px;
        background-color: transparent;
        padding: 1px 10px 0 10px;
        min-width: 100px;
        color: #a7a7a7;
        top: 13px;
        pointer-events: none;
    }
        div.input_wrap > span.plh span.inf{
            background-image: url("img/inf.png");
            background-position: center center;
            width: 15px;
            height: 15px;
            display: inline-block;
            border-radius: 50%;
            pointer-events: auto;
            cursor: help;
            opacity: 0.3;
            position: relative;
            top: 2px;
            left: 5px;
        }
        div.input_wrap > span.plh span.inf:hover{
            opacity: 1;
        }
    div.input_wrap select:focus ~ span.plh,
    div.input_wrap select:not(:placeholder-shown) ~ span.plh,
    div.input_wrap textarea:focus ~ span.plh,
    div.input_wrap textarea:not(:placeholder-shown) ~ span.plh,
    div.input_wrap input:focus ~ span.plh,
    div.input_wrap input:not(:placeholder-shown) ~ span.plh{
        top: -5px;
        font-size: 12px;
        color: var(--style);
        background-color: #fff;
        left: 11px;
        border-top: thin solid #b9b9b9;
        border-left: thin solid #b9b9b9;
        border-right: thin solid #b9b9b9;
        border-radius: 3px 3px 0 0;
    }
 
    
    /*
    na zmazanie
    div.input_wrap ul.sel_list{
        background-color: #fff; 
        border-bottom: thin solid #ccc; 
        border-left: thin solid #ccc; 
        border-right: thin solid #ccc; 
        border-radius: 5px;
        position: absolute; 
        top:15px; 
        left:0; 
        right:0; 
        display: none;
        z-index: 110;
        max-height: 310px;
        overflow-y: auto;
    }
    div.input_wrap ul.sel_list.show{
        display: block;
    }
        div.input_wrap ul.sel_list li{
            padding: 10px 15px;
            border-bottom: thin solid #ccc;
            cursor: pointer;
        }
        div.input_wrap ul.sel_list li.hidden{
            display: none;
        }
        div.input_wrap ul.sel_list li:hover{
            background-color: #E4E4E4;
        }
        div.input_wrap ul.sel_list li.search{
            padding: 0;
            background-color: #fff;
        }
            div.input_wrap ul.sel_list li.search input,
            div.input_wrap ul.sel_list li.search input:focus,
            div.input_wrap ul.sel_list li.search input:hover{
                box-shadow: none;
                padding-top: 0;
                height: 40px; 
                border: transparent;
            }
            div.input_wrap ul.sel_list li input[type="checkbox"]{
                height: 16px;
                width: 16px;
                margin: 0 10px 0 0;
            }
    */
            
            
    .input_wrap input.img_upl{
        display: none;
    }
    .input_wrap div.img_upl_cont{
        padding: 5px 0;
    }
        .input_wrap div.img_upl_cont > div.img{
            padding: 3px;
            margin: 3px;
            border: thin solid #ccc;
            width: 250px;
            height: auto;
            max-height: 200px;
            float: left;
            text-align: center;
            overflow: hidden;
            background-color: #fff;
            position: relative;
        }
            .input_wrap div.img_upl_cont div.img .rmv{
                width: 34px;
                height: 35px;
                background-image: url(img/rmv.png);
                background-size: 30px 30px;
                background-position: center center;
                position: absolute;
                top: 0px;
                right: 0px;
                background-color: #fff;
                z-index: 20;
                opacity: 0.5;
                cursor: pointer;
            }
            .input_wrap div.img_upl_cont div.img .rmv:hover{
                opacity: 1;
            }


            
    div.input_wrap > select:not(.def_sel){
        display: none;
    }
    div.input_wrap ul.token_wrap{
        padding-left: 5px;
        padding-bottom: 5px;
        padding-right: 45px;
        padding-top: 14px;
        z-index: 100;
        border: thin solid #b9b9b9; 
        border-radius: 4px;
        cursor: text; 
        background-color: #fff;
    }
    div.input_wrap ul.token_wrap:hover{
        -webkit-box-shadow: 0px 0px 3px 0px var(--style);
        -moz-box-shadow: 0px 0px 3px 0px var(--style);
        box-shadow: 0px 0px 3px 0px var(--style);
    }
        div.input_wrap ul.token_wrap > li{
            float: left;
            padding: 3px 0px 3px 5px;
            border: thin solid #b9b9b9;
            border-radius: 4px;
            margin: 4px 4px 3px 4px;
            background-color: #f7f7f7;
            font-size: 13px;
            cursor: pointer;
        }
        div.input_wrap ul.token_wrap > li:hover{
            background-color: #ffe6e6;
        }
        div.input_wrap ul.token_wrap > li:hover span.rmv{
            color:#000;
        }
        div.input_wrap ul.token_wrap > li.inpt{
            padding: 0;
            background-color: transparent;
            border: 0;
            cursor: text;
            max-width: 100%;
        }
            div.input_wrap ul.token_wrap > li.inpt input{
                padding: 0px;
                max-width: 100%;
                margin: 4px 0 0 0;
                border: none;
                font-size: 13px;
            }
            div.input_wrap ul.token_wrap > li span.rmv{
                border-left: thin solid #b9b9b9;
                text-transform: uppercase;
                margin: 0 0 0 5px; 
                padding: 0 5px;
            }
    div.input_wrap ul.token_list{
        width: 100%;
        position: absolute;
        left: 0;
        right: 0;
        z-index: 200;
        background-color: #fff;
        border: thin solid #b9b9b9; 
        margin: -3px 0 0 0;
        border-top: 0;
        max-height: 400px;
        overflow-y: auto;
        display: none;
    }
    div.input_wrap ul.token_list.vis{
        display: block;
    }
        div.input_wrap ul.token_list > li{
            padding: 10px 15px;
            border-top: thin solid #ccc;
            cursor: pointer;
            font-size: 13px;
        }
        div.input_wrap ul.token_list > li.hidden_flt,
        div.input_wrap ul.token_list > li.hidden{
            display: none;
        }
        div.input_wrap ul.token_list > li:hover{
            background-color: #e7e7e7;
        }
        div.input_wrap ul.token_list > li input[type="checkbox"]{
            width: 16px;
            height: 16px;
            margin: 0px 8px 0 0;
            pointer-events:none;
        }
        
div.input_wrap .rng_sldr{
    width: calc(100% - 40px);
    margin: 0 auto 8px auto;
}
    div.input_wrap .ui-widget-header{
        background: #ff0104;
    }
    div.input_wrap .ui-slider-horizontal .ui-slider-handle{
        top: -0.4em;
        width: 1.8em;
        height: 1.5em;
    }
    div.input_wrap .ui-slider-horizontal > span:nth-child(2){
        margin-left: -1.5em;
    }
    div.input_wrap .ui-slider-horizontal > span:nth-child(3){
        margin-left: -0.3em;
    }
    div.input_wrap .title{
        padding: 0 0 7px 0;
        font-weight: bold;
    }
    div.input_wrap input.inpt_min{
        float: left;
    }
    div.input_wrap input.inpt_max{
        float: right;
    }
    div.input_wrap input.inpt_max,
    div.input_wrap input.inpt_min{
        padding: 5px;
        width: 100px;
    }        